#pragma semicolon 1

#include <sourcemod>
#include <cstrike>

public Plugin:myinfo = 
{
	name	= "Force Round End",
	author	= "wS",
	version = "1.0"
};

new Handle:g_hTimer = INVALID_HANDLE;

public OnPluginStart()
{
	HookEvent("round_start", round_start, EventHookMode_Post);
}

public round_start(Handle:event, const String:name[], bool:dontBroadcast)
{
	new Float:fSec = GetEventFloat(event, "timelimit");
	if (g_hTimer) KillTimer(g_hTimer);
	g_hTimer = fSec > 0.0 ? CreateTimer((fSec + 3.0), end) : INVALID_HANDLE;
}

public Action:end(Handle:timer, any:ent)
{
	g_hTimer = INVALID_HANDLE;
	CS_TerminateRound(5.0, CSRoundEndReason:CSRoundEnd_Draw, true);
	return Plugin_Stop;
}